<ng-template #content let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Seguridad</h4>
        <button type="button" class="btn-close" aria-label="Close"
            (click)="modal.dismiss()"></button>
    </div>
    <div class="modal-body">
        <form>
            <div class="mb-3">
                <p>¿Está Seguro de Eliminar La Imgenen de publicidad
                    {{nombreEliminar}}?</p>
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline-danger"
            (click)="modal.close()">Eliminar</button>
    </div>
</ng-template>


<div class="">
    <div class="col-sm-12 titulo text-center">
        Imagen de Publicidad
    </div>
</div>
<app-separador></app-separador>
<div class="row">
    <div class="col-sm-12 espacio">

    </div>
</div>
<br>


<div class="row align-items-start">
    <div class="col-lg-8 col-md-12 col-sm-offset-1" *ngIf="vleer">

        <div class="row">

            <div class="col-sm-12">
                <div class="input-group mb-3">
                    <label class="input-group-text colorBuscar" for="nombreB">Buscar</label>
                    <input type="text" id="nombreB" name="nombreB"
                        [(ngModel)]="nombreB"
                        placeholder="Buscar por nombre de Imagen"
                        class="form-control"
                        (keyup)="buscarxNombre()"/>
                </div>
            </div>
        </div>
        <div class="col-lg-12 col-md-12" style="margin-bottom: 3%;">

            <button class=" btn boton" (click)="generarPdf() ">
                <a>Generar Reporte</a>
            </button>
        </div>
        <table class="table table-striped">
            <thead class="table-success">
                <tr>

                    <td>Nombre</td>
                    <td>Inicio</td>
                    <td>Fin</td>
                    <td>Estado</td>
                    <td>Opciones</td>

                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let datos of publicidades.slice((page-1) *
                    pageSize,page * pageSize)" ng-click="selectPerson(persona)">
                    <td>{{ datos.nombre }}</td>
                    <td>{{ datos.finicio }}</td>
                    <td>{{ datos.ffin }}</td>
                    <td>
                        <i class="fa fa-check text-success" *ngIf="isFechaActualInRange(datos.finicio, datos.ffin)" aria-hidden="true"></i>
                        <i class="fa fa-times text-danger" *ngIf="!isFechaActualInRange(datos.finicio, datos.ffin)" aria-hidden="true"></i>
                      </td>
                    <td>
                        <button class="btn btn-warning" *ngIf="vactualizar"
                            style="margin-right:
                            10px; width: 2.5em;">
                            <i class="fa fa-edit"
                                (click)="seleccionarPublicidad(datos.id)"
                                aria-hidden="true"></i>
                        </button>
                        <button class="btn btn-danger" *ngIf="veliminar"
                            style="margin-right:
                            10px; width: 2.5em;">
                            <i class="fa fa-trash" aria-hidden="true"
                                (click)="open(content,datos.id,datos.nombre)"></i>
                        </button>

                    </td>
                </tr>
            </tbody>
        </table>
        <ngb-pagination
            class="pagination-green"
            [(page)]="page"
            [pageSize]="pageSize"
            [collectionSize]="publicidades.length"></ngb-pagination>
    </div>

    <div class="col-lg-4 col-md-12">
        <div class="card" *ngIf="vopciones">
            <div class="card-body">
                <form name="myForm">

                    <div class="form-group">

                        <label for="nombre" class="form-label">Nombre</label>
                        <input type="text" id="nombre" name="nombre"
                            [(ngModel)]="publicidad.nombre" placeholder="Nombre"
                            class="form-control" autofocus/>
                        <label class="form-label error" for="nombre"
                            *ngIf="errorNombre">{{strNombre}}</label>
                        <br>
                        <div class="input-group">
                            <input readonly class="form-control"
                                placeholder="yyyy-mm-dd"
                                name="finicio" id="finicio" [(ngModel)]="model"
                                ngbDatepicker #d="ngbDatepicker">
                            <div class="input-group-append">
                                <button class="btn botonOP" style="margin-left:
                                    10px;"
                                    (click)="d.toggle()" type="button">
                                    <i class="fa fa-calendar"
                                        aria-hidden="true"></i>
                                </button>

                            </div>
                        </div>
                        <label class="form-label error" for="finicio"
                            *ngIf="errorFinicio">{{strFinicio}}</label>
                        <br>
                        <div class="input-group">
                            <input readonly class="form-control"
                                placeholder="yyyy-mm-dd"
                                name="ffin" id="ffin" [(ngModel)]="modelf"
                                ngbDatepicker #e="ngbDatepicker">
                            <div class="input-group-append">
                                <button class="btn botonOP"
                                    (click)="e.toggle()" type="button"
                                    style="margin-left:
                                    10px;">
                                    <i class="fa fa-calendar fa-btn"
                                        aria-hidden="true"></i>
                                </button>

                            </div>
                        </div>
                        <label class="form-label error" for="ffin"
                            *ngIf="errorFfin">{{strFfin}}</label>
                        <br>
                        <div class="row">
                            <div class="col-sm-12 mb-3">
                                <label for="imagen" class="form-label">Imagen</label>
                                <input class="form-control form-control-sm"
                                    id="imagen"
                                    (change)="capturarImagen($event)"
                                    type="file" accept="image/png, image/jpeg">
                            </div>
                            <div class="col-sm-6 ">

                                <img src="{{publicidad.imagen}}" alt=""
                                    style="width: 100%;">
                            </div>
                        </div>
                    </div>
                    <hr>


                    <!-- Acciones que podemos realizar en el formulario -->
                    <button type="submit" class="btn btn-success"
                        (click)="crear()" *ngIf="vcrear &&
                        btnCrear">Registrar</button>
                    <button type="submit" class="btn btn-danger"
                        (click)="cancelar()" *ngIf="vcrear &&
                        btnCrear" style="margin-left:
                        10px;">Cancelar</button>
                    <button type="submit" class="btn btn-warning "
                        (click)="actualizar()" *ngIf="vactualizar &&
                        btnModificar">Modificar</button>

                    <button type="submit" class="btn btn-danger "
                        (click)="cancelar()" *ngIf="vactualizar &&
                        btnModificar" style="margin-left:
                        10px;">Cancelar</button>
                </form>
            </div>
        </div>
    </div>
</div>